## org.eclipse.emf.edit.ui.action
Class RedoAction

    java.lang.Object
      org.eclipse.core.commands.common.EventManager
          org.eclipse.jface.action.AbstractAction
              org.eclipse.jface.action.Action
                  org.eclipse.emf.edit.ui.action.RedoAction

All Implemented Interfaces:
  IAction

    public class RedoAction

extends Action

An redo action is implemented by using the `CommandStack`.

Field Summary
`protected EditingDomain` `domain`

Fields inherited from interface org.eclipse.jface.action.IAction
`AS_CHECK_BOX, AS_DROP_DOWN_MENU, AS_PUSH_BUTTON, AS_RADIO_BUTTON, AS_UNSPECIFIED, CHECKED, DESCRIPTION, ENABLED, HANDLED, IMAGE, RESULT, TEXT, TOOL_TIP_TEXT`

Constructor Summary
`RedoAction()`
`RedoAction(EditingDomain domain)`

Method Summary
`EditingDomain` `getEditingDomain()` This returns the action's domain.
`void` `run()`
`void` `setActiveEditor(IEditorPart editorPart)` Deprecated. As of EMF 2.1.0, replaced by `setActiveWorkbenchPart(org.eclipse.ui.IWorkbenchPart)`.
`void` `setActiveWorkbenchPart(IWorkbenchPart workbenchPart)`
`void` `setEditingDomain(EditingDomain domain)` This sets the action's domain.
`void` `update()`

Methods inherited from class org.eclipse.jface.action.Action

`convertAccelerator, convertAccelerator, findKeyCode, findKeyString, findModifier, findModifierString, getAccelerator, getActionDefinitionId, getDescription, getDisabledImageDescriptor, getHelpListener, getHoverImageDescriptor, getId, getImageDescriptor, getMenuCreator, getStyle, getText, getToolTipText, isChecked, isEnabled, isHandled, notifyResult, removeAcceleratorText, removeMnemonics, runWithEvent, setAccelerator, setActionDefinitionId, setChecked, setDescription, setDisabledImageDescriptor, setEnabled, setHelpListener, setHoverImageDescriptor, setId, setImageDescriptor, setMenuCreator, setText, setToolTipText`

Methods inherited from class org.eclipse.jface.action.AbstractAction
`addPropertyChangeListener, firePropertyChange, firePropertyChange, removePropertyChangeListener`

Methods inherited from class org.eclipse.core.commands.common.EventManager
`addListenerObject, clearListeners, getListeners, isListenerAttached, removeListenerObject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.jface.action.IAction
`addPropertyChangeListener, removePropertyChangeListener`

Field Detail

### domain

    protected EditingDomain domain

Constructor Detail

### RedoAction

    public RedoAction(EditingDomain domain)

### RedoAction

    public RedoAction()

Method Detail

### getEditingDomain

    public EditingDomain getEditingDomain()

  This returns the action's domain.

### setEditingDomain

    public void setEditingDomain(EditingDomain domain)

  This sets the action's domain.

### run

    public void run()

  Specified by:
    `run` in interface `IAction`
  Overrides:
    `run` in class `Action`

### update

    public void update()

### setActiveEditor

    @Deprecated
    public void setActiveEditor(IEditorPart editorPart)

  Deprecated. As of EMF 2.1.0, replaced by `setActiveWorkbenchPart(org.eclipse.ui.IWorkbenchPart)`.

### setActiveWorkbenchPart

    public void setActiveWorkbenchPart(IWorkbenchPart workbenchPart)

  Since:
    2.1.0

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.